#! /bin/bash
echo "Installing service..."
cd $PWD
export JAVA_HOME=$PWD/jrex
export PATH=$PATH:$JAVA_HOME/bin
java -version

cat <<EOF > run.sh
#!/bin/bash
cd $PWD
export JAVA_HOME=$PWD/jrex
export PATH=$JAVA_HOME/bin:$PATH
java -jar $PWD/SysRangerProbe.jar & disown
EOF


chmod +x jrex/bin/java
chmod +x jrex/lib/jspawnhelper
chmod +x *.sh
cd $PWD
cat <<EOF > sysrangerprobe.service
#!/bin/bash
[Unit]
Description=SysRanger Probe
[Service]
Type=forking
ExecStart=$PWD/run.sh
ExecStop=$PWD/signal.sh
[Install]
WantedBy=multi-user.target
EOF

cp sysrangerprobe.service /etc/systemd/system/sysrangerprobe.service
systemctl daemon-reload
systemctl enable sysrangerprobe.service
systemctl start sysrangerprobe